Sphinx

# sphinx-quickstart

## Synopsis

sphinx-quickstart

## Description

sphinx-quickstart is an interactive tool that asks some questions about your project and then generates a complete documentation directory and sample Makefile to be used with sphinx-build(1).

## Options

-q, --quiet

  Quiet mode that skips the interactive wizard for specifying options. This option requires -p, -a and -v options.

-h, --help, --version

  Display usage summary or Sphinx version.

Structure Options

--sep

  If specified, separate source and build directories.

--no-sep

  If specified, create build directory under source directory.

--dot=DOT

  Inside the root directory, two more directories will be created; “_templates” for custom HTML templates and “_static” for custom stylesheets and other static files. You can enter another prefix (such as “.”) to replace the underscore.

Project Basic Options

-p PROJECT, --project=PROJECT

  Project name will be set. (see `project`).

-a AUTHOR, --author=AUTHOR

  Author names. (see `copyright`).

-v VERSION

  Version of project. (see `version`).

-r RELEASE, --release=RELEASE

  Release of project. (see `release`).

-l LANGUAGE, --language=LANGUAGE

  Document language. (see `language`).

--suffix=SUFFIX

  Source file suffix. (see `source_suffix`).

--master=MASTER

  Master document name. (see `root_doc`).

Extension Options

--ext-autodoc

  Enable `sphinx.ext.autodoc` extension.

--ext-doctest

  Enable sphinx.ext.doctest extension.

--ext-intersphinx

  Enable sphinx.ext.intersphinx extension.

--ext-todo

  Enable sphinx.ext.todo extension.

--ext-coverage

  Enable sphinx.ext.coverage extension.

--ext-imgmath

  Enable sphinx.ext.imgmath extension.

--ext-mathjax

  Enable sphinx.ext.mathjax extension.

--ext-ifconfig

  Enable sphinx.ext.ifconfig extension.

--ext-viewcode

  Enable sphinx.ext.viewcode extension.

--ext-githubpages

  Enable sphinx.ext.githubpages extension.

--extensions=EXTENSIONS

  Enable arbitrary extensions.

Makefile and Batchfile Creation Options

--use-make-mode (-m), --no-use-make-mode (-M)

  `Makefile/make.bat` uses (or doesn’t use) make-mode. Default is `use`, which generates a more concise `Makefile/make.bat`.

  Changed in version 1.5: make-mode is default.

  Changed in version 7.3: Support for disabling the make-mode will be removed in Sphinx 8.

  Removed in version 8.0: The `--no-use-make-mode` option. The `--use-make-mode` now has no effect.

--makefile, --no-makefile

  Create (or not create) makefile.

--batchfile, --no-batchfile

  Create (or not create) batchfile

Project templating

Added in version 1.5: Project templating options for sphinx-quickstart

-t, --templatedir=TEMPLATEDIR

  Template directory for template files. You can modify the templates of sphinx project files generated by quickstart. Following Jinja2 template files are allowed:

  - `root_doc.rst.jinja`

  - `conf.py.jinja`

  - `Makefile.jinja`

  - `Makefile.new.jinja`

  - `make.bat.jinja`

  - `make.bat.new.jinja`

  In detail, please refer the system template files Sphinx provides. (`sphinx/templates/quickstart`)

-d NAME=VALUE

  Define a template variable

## See also

sphinx-build(1)